class Segment(dict):
    def __init__(
        self, scope_urn, status, name, segment_type, description, external_urn
    ):
        dict.__init__(
            self,
            scope_urn=scope_urn,
            status=status,
            name=name,
            segment_type=segment_type,
            description=description,
            external_urn=external_urn,
        )


class SegmentData(dict):
    def __init__(
        self,
        segment_id,
        major,
        minor,
        patch,
        build,
        body,
        platform,
        architecture,
        distribution,
    ):
        dict.__init__(
            self,
            segment_id=segment_id,
            major=major,
            minor=minor,
            patch=patch,
            build=build,
            body=body,
            platform=platform,
            architecture=architecture,
            distribution=distribution,
        )


class Assignment(dict):
    def __init__(
        self,
        assignment_scope_urn,
        segment_id,
        status,
        platform,
        architecture,
        distribution,
        version_type,
        version_major,
        segment_type,
        assignment_id=None,
    ):
        dict.__init__(
            self,
            assignment_scope_urn=assignment_scope_urn,
            segment_id=segment_id,
            status=status,
            platform=platform,
            architecture=architecture,
            distribution=distribution,
            version_type=version_type,
            version_major=version_major,
            segment_type=segment_type,
            assignment_id=assignment_id,
        )
