import os
from typing import Dict

import requests

from dre_c_rule_publisher.utils.rmsutil import check_response_status


class DreCRuleClient:
    def __init__(self, config):
        self.config = config
        self.session = requests.session()
        self.session.verify = True
        self.session.headers = {
            "Accept": "application/json",
            "X-Auth-Token": self.config.get("dre_c_rule", "api_token"),
        }

    def get_dre_rules(self) -> Dict:
        url = f'{self.config.get("dre_c_rule", "url")}{self.config.get("env", "id")}'
        resp = self.session.get(url)
        check_response_status(resp)
        return resp
