import rapidjson


def unpack(obj):
    if isinstance(obj, dict):
        return {key: unpack(value) for key, value in obj.items()}
    elif isinstance(obj, list):
        return [unpack(value) for value in obj]
    elif hasattr(obj, "_asdict"):
        return {key: unpack(value) for key, value in obj._asdict().items()}
    elif isinstance(obj, tuple):
        return tuple(unpack(value) for value in obj)
    else:
        return obj


def json_dumps(obj, **kwargs):
    kwargs["datetime_mode"] = rapidjson.DM_UNIX_TIME | rapidjson.DM_ONLY_SECONDS
    return rapidjson.dumps(unpack(obj), **kwargs)
