import logging

from aio_pyformance.reporters.reporter import Reporter

from dre_c_rule_publisher.utils.background_task import BackgroundTask

_logger = logging.getLogger(__name__)


class MetricReporterTask(BackgroundTask):
    def __init__(self, metric_reporter: Reporter):
        super(MetricReporterTask, self).__init__(
            "metric_reporter",
            loop_sec=metric_reporter.reporting_interval_sec,
            sleep_first=True,
            execute_once=False,
        )
        self.metric_reporter = metric_reporter

    async def execute(self, app):
        await self.metric_reporter.report_now(self.metric_reporter.registry)
